For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign upLog in
Developer GuideCore ConceptsAPI Reference
  • API Reference
        • GETList
        • POSTCreate
        • GETGet
        • PUTUpsert
        • DELDelete
        • PATCHUpdate
        • POSTGenerate Description
LogoLogo
Sign upLog in
API ReferenceModelConnections

Upsert

PUT
https://api.icepanel.io/v1/landscapes/:landscapeId/versions/:versionId/model/connections/:modelConnectionId
PUT
/v1/landscapes/:landscapeId/versions/:versionId/model/connections/:modelConnectionId
1import { IcePanelClient } from "@icepanel/sdk";
2
3async function main() {
4 const client = new IcePanelClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.model.connections.upsert("landscapeId", "versionId", "modelConnectionId", {
8 body: {
9 direction: "outgoing",
10 name: "string",
11 originId: "string",
12 targetId: "string",
13 },
14 });
15}
16main();
1{
2 "modelConnection": {
3 "commit": 1.1,
4 "direction": "outgoing",
5 "labels": {},
6 "links": {},
7 "name": "string",
8 "originId": "string",
9 "status": "deprecated",
10 "tagIds": [
11 "string"
12 ],
13 "targetId": "string",
14 "technologyIds": [
15 "string"
16 ],
17 "viaId": "string",
18 "handleId": "string",
19 "createdAt": "2024-01-15T09:30:00Z",
20 "createdBy": "user",
21 "createdById": "string",
22 "diagrams": {},
23 "flows": {},
24 "id": "string",
25 "landscapeId": "string",
26 "linked": true,
27 "updatedAt": "2024-01-15T09:30:00Z",
28 "updatedBy": "user",
29 "updatedById": "string",
30 "version": 1.1,
31 "versionId": "string",
32 "description": "string",
33 "deletedAt": "2024-01-15T09:30:00Z",
34 "deletedBy": "user",
35 "deletedById": "string",
36 "latestEntityId": "string"
37 }
38}
Was this page helpful?
Previous

Delete

Next
Built with

Authentication

X-API-Keystring
API key authentication
OR
AuthorizationBearer
Bearer token authentication

Path parameters

landscapeIdstringRequired
versionIdstringRequired
modelConnectionIdstringRequired

Query parameters

originConnectorenumOptional
targetConnectorenumOptional
updateDiagramsbooleanOptional

Request

This endpoint expects an object.
directionenum or nullRequired
Allowed values:
namestringRequired
originIdstringRequired
Model object that initiates the connection
targetIdstringRequired
Model object that receives the message
commitdoubleOptional
descriptionstringOptional
handleIdstringOptional
labelsmap from strings to stringsOptional
linksmap from strings to objectsOptional
statusenumOptional
Allowed values:
tagIdslist of stringsOptional
Tag IDs assigned to this model
technologyIdslist of stringsOptional
Technology IDs assigned to this model
viaIdstring or nullOptional
Model object that facilitates the connection, such as a Kafka topic, or RabbitMQ queue

Response

OK
modelConnectionobject

Errors

401
Unauthorized Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error